/* scroll-up-bar v0.3.0 (https://github.com/eduardomb/scroll-up-bar) */
!function(a){"use strict";var b;a.scrollupbar=function(c,d){function e(){return h.scrollTop()<=c.offset().top}function f(){return h.scrollTop()<c.offset().top+c.outerHeight()}d=a.extend({enterViewport:a.noop,fullyEnterViewport:a.noop,exitViewport:a.noop,partiallyExitViewport:a.noop},d);var g,h=a(window),i=a(document),j="fixed"==c.css("position")?0:c.offset().top,k=h.scrollTop(),l=c.position().top,m=/(iPad|iPhone|iPod)/g.test(navigator.userAgent);return a.scrollupbar.isInViewport=f(),a.scrollupbar.isFullyInViewport=e(),m?(h.on("touchstart.scrollupbar",function(){k=h.scrollTop()}),h.on("touchend.scrollupbar",function(){var b=h.scrollTop();k>b||b-c.outerHeight()<j?j>=b?(c.css({position:"absolute",top:l}),c.show(function(){a.scrollupbar.isInViewport=!0,a.scrollupbar.isFullyInViewport=!0,d.enterViewport(),d.fullyEnterViewport()})):(c.css({position:"fixed",top:0}),a.scrollupbar.isInViewport=!0,d.enterViewport(),c.slideDown(function(){a.scrollupbar.isFullyInViewport=!0,d.fullyEnterViewport()})):b>k&&(a.scrollupbar.isFullyInViewport=!1,d.partiallyExitViewport(),c.slideUp(function(){a.scrollupbar.isInViewport=!1,d.exitViewport()})),k=b})):h.on("scroll.scrollupbar",function(){var b=h.scrollTop(),m=c.outerHeight();0>b||b>i.height()-h.height()||(g&&clearTimeout(g),k>b?(!a.scrollupbar.isInViewport&&k-m>=j&&(c.css("top",k-m),a.scrollupbar.isInViewport=!0,d.enterViewport()),e()&&(c.css(b>=j?{position:"fixed",top:0}:{position:"absolute",top:l}),a.scrollupbar.isFullyInViewport||(a.scrollupbar.isFullyInViewport=!0,d.fullyEnterViewport())),g=setTimeout(function(){e()||(c.css({position:"fixed",top:c.offset().top-b}),c.animate({top:0},100,function(){a.scrollupbar.isFullyInViewport=!0,d.fullyEnterViewport()}))},400)):b>k&&(a.scrollupbar.isFullyInViewport&&(c.css({position:"absolute",top:k>j?k:l}),e()||(a.scrollupbar.isFullyInViewport=!1,d.partiallyExitViewport())),a.scrollupbar.isInViewport&&!f()&&(a.scrollupbar.isInViewport=!1,d.exitViewport()),g=setTimeout(function(){f()&&b-m>=j&&c.animate({top:b-m},100,function(){a.scrollupbar.isInViewport=!1,d.exitViewport()})},400)),k=b)}),b=function(){h.off(".scrollupbar"),c.css({position:"absolute",top:l})},c},a.scrollupbar.destroy=function(){return b?b():void 0},a.fn.scrollupbar=function(b){return a.scrollupbar(this,b)}}(jQuery);
//End scroll-up-bar

//Back to Top Button
$(function () {
    $(window).scroll(function () {
        if ($(this).scrollTop() > 600) {
            $('#easy-top').fadeIn(100);
        } else {
            $('#easy-top').fadeOut(0);
        }
    });
});
//End Back to Top Button

// isOnScreen (https://github.com/moagrius/isOnScreen)
!function(a){a.fn.isOnScreen=function(b){var c=this.outerHeight(),d=this.outerWidth();if(!d||!c)return!1;var e=a(window),f={top:e.scrollTop(),left:e.scrollLeft()};f.right=f.left+e.width(),f.bottom=f.top+e.height();var g=this.offset();g.right=g.left+d,g.bottom=g.top+c;var h={top:f.bottom-g.top,left:f.right-g.left,bottom:g.bottom-f.top,right:g.right-f.left};return"function"==typeof b?b.call(this,h):h.top>0&&h.left>0&&h.right>0&&h.bottom>0}}(jQuery);
// End isOnScreen

// Browser Detection
function browserDetect() {
	var is_opera = !!window.opera || navigator.userAgent.indexOf(' OPR/') >= 0;
	var is_chrome = !!window.chrome && !is_opera;
	var is_explorer= typeof document !== 'undefined' && !!document.documentMode && !isEdge;
	var is_firefox = typeof window.InstallTrigger !== 'undefined';
	var is_safari = /^((?!chrome|android).)*safari/i.test(navigator.userAgent);

	if (is_safari) {
		document.body.classList.add("safari-browser") ;
	}

	if (is_firefox) {
		document.body.classList.add("firefox-browser") ;
	}

	if (is_chrome) {
		document.body.classList.add("chrome-browser") ;
	}

	if (is_explorer) {
		document.body.classList.add("explorer-browser") ;
	}
}
// End Browser Detection

//Page Loader Script
function lwPageLoader(){var e=!1,t="Webkit Moz O ms Khtml".split(" "),n="",o=document.createElement("div");if(void 0!==o.style.animationName&&(e=!0),!1===e)for(var d=0;d<t.length;d++)if(void 0!==o.style[t[d]+"AnimationName"]){(n=t[d])+"Animation","-"+n.toLowerCase()+"-",e=!0;break}var a,i,s,m=new Date;e&&document.documentElement&&document.documentElement.classList?(document.documentElement.classList.add("hidescrollbar"),window.addEventListener("load",i=function(){clearTimeout(s);var e=(a=new Date-m)>100?0:100-a;setTimeout(function(){document.getElementById("pageloader").classList.add("dimissloader")},e),setTimeout(function(){document.documentElement.classList.remove("hidescrollbar")},e+100)},!1),s=setTimeout(function(){window.removeEventListener("load",i,!1),document.getElementById("pageloader").classList.add("dimissloader"),setTimeout(function(){document.documentElement.classList.remove("hidescrollbar")},100)},5e3)):document.getElementById("pageloader").style.display="none",window.addEventListener("beforeunload",function(){document.body.classList.add("fadeout")},!1)}
//End Page Loader Script

//Scroll Progress Bar (https://codepen.io/AllThingsSmitty/pen/gvpNWL)
function progressBarScroll() {
  let winScroll = document.body.scrollTop || document.documentElement.scrollTop,
      height = document.documentElement.scrollHeight - document.documentElement.clientHeight,
      scrolled = (winScroll / height) * 100;
  document.getElementById("lwProgressBar").style.width = scrolled + "%";
}

window.onscroll = function () {
  progressBarScroll();
};
//End Scroll Progress Bar

//lw-navbar
$(function() {
  $("#lw-navbar-menu-icon, #lw-navbar li.nav-item a").click(function() {
    $("#lw-navbar").toggleClass("open");
	$("#wrapper").toggleClass("blur");  
  });
});
//End lw-navbar

//lw-popout
$(function() {
	var popoutPosition = $('.lw-popout').offset();
	$(".lw-popout").css("left", "-" + popoutPosition.left + "px" );
});
//End lw-popout