<?php
/***
* @package Joomla.Site
* @subpackage mod_firstmodule
* @license GNU/GPL, see LICENSE.php
* @copyright Copyright (C) 2005 - 2018, Open Source Matters, Inc. All rights reserved.
***/
// no direct access
defined('_JEXEC') or die;
?>

<?php
	$aName = $params->get('aName');	
	$cssStyles = $params->get('cssStyles');
	$height = $params->get('height');
	$mode = $params->get('mode');
	$slideFade = $params->get('slideFade');
	$offsetContent = $params->get('offsetContent');
	$s1Img = $params->get('s1Img');
	$s1Text = $params->get('s1Text');
	$s1Mask = $params->get('s1Mask');
	$s2Img = $params->get('s2Img');
	$s2Text = $params->get('s2Text');
	$s2Mask = $params->get('s2Mask');
	$s3Img = $params->get('s3Img');
	$s3Text = $params->get('s3Text');
	$s3Mask = $params->get('s3Mask');
	$s4Img = $params->get('s4Img');
	$s4Text = $params->get('s4Text');
	$s4Mask = $params->get('s4Mask');
	$s5Img = $params->get('s5Img');
	$s5Text = $params->get('s5Text');
	$s5Mask = $params->get('s5Mask');
	$navBuffer = $params->get('navBuffer');
?>

<?php if ($offsetContent): ?>
	<style>
		@media screen and (min-width: 768px) {
		.carousel-right {
			 width:45%;
			 margin-left:auto;
		}

		.carousel-left {
			 width:45%;
			 margin-right:auto;
		}
	}
	</style>
<?php endif; ?>

<?php if ($navBuffer) {echo "<div style='height:".$navBuffer."px;'></div>";}; ?>

<div><a name='<?php echo ($aName); ?>'></a></div>

<section class="<?php echo ($cssStyles); ?>"<?php if ($height) {echo " style='height:$height'";}; ?>>
<!--Carousel Wrapper-->
<div id="<?php echo ($aName); ?>" class="carousel slide<?php if ($mode) {echo " carousel-dark";}; ?><?php if ($slideFade) {echo " carousel-fade";}; ?>" data-bs-ride="carousel">
  <!--Indicators-->
  <div class="carousel-indicators">
	<button type='button' data-bs-target='#<?php echo ($aName); ?>' data-bs-slide-to='0' class='active' aria-current='true' aria-label='Slide 1'></button>
    <?php if ($s2Img) {echo "<button type='button' data-bs-target='#$aName' data-bs-slide-to='1' aria-label='Slide 2'></button>";}; ?>
    <?php if ($s3Img) {echo "<button type='button' data-bs-target='#$aName' data-bs-slide-to='2' aria-label='Slide 3'></button>";}; ?>
	<?php if ($s4Img) {echo "<button type='button' data-bs-target='#$aName' data-bs-slide-to='3' aria-label='Slide 4'></button>";}; ?>
	<?php if ($s5Img) {echo "<button type='button' data-bs-target='#$aName' data-bs-slide-to='4' aria-label='Slide 5'></button>";}; ?>
  </div>
  <!--/.Indicators-->
	
  <!--Slides-->
  <div class="carousel-inner">
    
	<?php if ($s1Img) {echo "
    <div class='carousel-item active $s1Mask'>
      <img class='d-block w-100' style='z-index:1;' src='/$s1Img' alt=''>
      <div class='carousel-caption carousel-right'>
        <div>$s1Text</div>
    </div></div>
	";}; ?>

	<?php if ($s2Img) {echo "
    <div class='carousel-item $s2Mask'>
      <img class='d-block w-100' style='z-index:1;' src='/$s2Img' alt=''>
      <div class='carousel-caption carousel-left'>
        <div>$s2Text</div>
    </div></div>
	";}; ?>

	<?php if ($s3Img) {echo "
    <div class='carousel-item $s3Mask'>
      <img class='d-block w-100' style='z-index:1;' src='/$s3Img' alt=''>
      <div class='carousel-caption carousel-right'>
        <div>$s3Text</div>
    </div></div>
	";}; ?>
	  
	<?php if ($s4Img) {echo "
    <div class='carousel-item $s4Mask'>
      <img class='d-block w-100' style='z-index:1;' src='/$s4Img' alt=''>
      <div class='carousel-caption carousel-left'>
        <div>$s4Text</div>
    </div></div>
	";}; ?>
	  
	<?php if ($s5Img) {echo "
    <div class='carousel-item $s5Mask'>
      <img class='d-block w-100' style='z-index:1;' src='/$s5Img' alt=''>
      <div class='carousel-caption carousel-right'>
        <div>$s5Text</div>
    </div></div>
	";}; ?>
	  
  </div>
  <!--/.Slides-->
	
  <!--Controls-->
  <button class="carousel-control-prev" type="button" data-bs-target="#<?php echo ($aName); ?>" data-bs-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-bs-target="#<?php echo ($aName); ?>" data-bs-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Next</span>
  </button>
  <!--/.Controls-->
</div>
<!--/.Carousel Wrapper-->
</section>