<?php
	// no direct access
	defined('_JEXEC') or die;

	// Allow access to template params
	$app = JFactory::getApplication('site');
	$template = $app->getTemplate(true);
?>

<?php
	// Module Parameters
	$phone = $params->get('phone');
	$address = $params->get('address');
	$email = $params->get('email');
	$info = $params->get('info');
	$copyright = $params->get('copyright');
	$footerClass = $params->get('footerClass');
	$contactClass = $params->get('contactClass');
	$linksClass = $params->get('linksClass');
	$copyrightClass = $params->get('copyrightClass');
	$footerLogo = $params->get('footerLogo');
	$title = $params->get('title');
	$footerName = $params->get('aName');
	$footerNav = $params->get('footerNav');

	//Template Parameters
	$logoFile = $template->params->get('logoFile');
	$logoSvg = $template->params->get('logoSvg');
	$logoShadow = $template->params->get('logoShadow');
	$mapUrl = $template->params->get('mapUrl');
	$ebayUrl = $template->params->get('ebayUrl');
	$facebookUrl = $template->params->get('facebookUrl');
	$twitterUrl = $template->params->get('twitterUrl');
	$instagramUrl = $template->params->get('instagramUrl');
	$linkedinUrl = $template->params->get('linkedinUrl');
	$googleUrl = $template->params->get('googleUrl');
	$yelpUrl = $template->params->get('yelpUrl');
	$pinterestUrl = $template->params->get('pinterestUrl');
	$patreonUrl = $template->params->get('patreonUrl');
	$youtubeUrl = $template->params->get('youtubeUrl');
	$twitchUrl = $template->params->get('twitchUrl');
	$githubUrl = $template->params->get('githubUrl');
	$contactUrl = $template->params->get('contactUrl');
	$paddress = $template->params->get('paddress');
	$pphone = $template->params->get('pphone');
?>

<?php if ($footerNav): ?>
	<style>
		#footerNav {
			opacity:.5;
			font-size: .85em;
		}
		#lw-footer *[class*=' lw-menu'], #lw-footer *[class^='lw-menu'],#lw-footer *[class*=' lw-menu'] li, #lw-footer *[class^='lw-menu'] li, #lw-footer *[class*=' lw-menu'] ul, #lw-footer *[class^='lw-menu'] ul, #lw-footer *[class*=' lw-menu'] a, #lw-footer *[class^='lw-menu'] a {
			display: block !important;
			visibility: visible !important;
			position: static !important;
			opacity:1 !important;
			border: none !important;
			background-color: transparent !important;
			box-shadow: none !important;
			text-align: left !important;
			justify-content: flex-start !important;
			padding-left: .75em !important;
		}
		#lw-footer *[class*=' lw-menu'], #lw-footer *[class^='lw-menu'] {
			display: flex !important;
		}
		#lw-footer #footerNav ul li a {
			color: inherit;
		}
		#lw-footer #footerNav img {
			display: none;
		}
	</style>
<?php endif; ?>

<?php if ($footerName) {echo "<div><a name='$footerName'></a></div>";}; ?>
<section id="lw-footer" class="d-flex flex-column<?php if ($footerClass) {echo " $footerClass";}; ?>">
	<?php if ($mapUrl) {echo "<div><iframe style='width:100%;height:350px;margin-bottom:-8px;' frameborder='0' scrolling='no' src='$mapUrl'></iframe></div>";}; ?>
	<div class="container-fluid pt-3<?php if ($contactClass) {echo " $contactClass";}; ?>">
		<?php if ($footerLogo): ?>
		  <?php if ($logoSvg): ?>
		  <style>.lw-footer-logo svg {max-height:175px;}</style>
			<div class='row'><div class='lw-footer-logo mx-auto lw-center col-md-6 pb-2'<?php if ($logoShadow) {echo " style='filter: drop-shadow(2px 3px 2px rgb(0 0 0 / 0.42));'";}; ?>><a class="w-100" href='/'><?php echo ($logoSvg); ?></a></div></div>
		  <?php else: ?>
			<div class='row'><div class='mx-auto lw-center col-md-6 pb-2'<?php if ($logoShadow) {echo " style='filter: drop-shadow(2px 3px 2px rgb(0 0 0 / 0.42));'";}; ?>><a class="w-100" href='/'><img src='<?php echo ($logoFile); ?>' style='max-height:175px' /></a></div></div>
		  <?php endif; ?>
		<?php endif; ?>
		<?php if ($title) {echo "<div class='row'><div class='col'><h2 class='w-100 text-center pt-2'>$title</h2></div></div>";}; ?>
		<div class="row pt-2 justify-content-center mw-1200 mx-auto">
			<?php
			if ($phone) {echo "<div class='col-md p-1 p-md-3 text-center'><h2><i class='fas fa-phone-alt'></i></h2><br class='d-block'>$phone</div>";} else if ($pphone) {echo "<div class='col-md p-1 p-md-3 text-center'><h2><i class='fas fa-phone-alt'></i></h2><br class='d-block'>$pphone</div>";};
			if ($address) {echo "<div class='col-md p-1 p-md-3 text-center'><h2><i class='fas fa-map-marker-alt'></i></h2><br class='d-block'>$address</div>";} else if ($paddress) {echo "<div class='col-md p-1 p-md-3 text-center'><h2><i class='fas fa-map-marker-alt'></i></h2><br class='d-block'>$paddress</div>";};
			if ($email) {echo "<div class='col-md p-1 p-md-3 text-center'><h2><i class='fas fa-at'></i></h2><br class='d-block'>$email</div>";};
			if ($info) {echo "<div class='col-md p-1 p-md-3 text-center'><h2><i class='fas fa-info-circle'></i></h2><br class='d-block'>$info</div>";};
			?>
		</div>
	</div>
	<div <?php if ($linksClass) {echo "class='$linksClass'";}; ?> >
		<?php
			if ($ebayUrl) {echo "<a href='$ebayUrl' target='_blank'><i class='fab fa-ebay'></i></a>&nbsp;&nbsp;";};
			if ($facebookUrl) {echo "<a href='$facebookUrl' target='_blank'><i class='fab fa-facebook'></i></a>&nbsp;&nbsp;";};
			if ($twitterUrl) {echo "<a href='$twitterUrl' target='_blank'><i class='fab fa-twitter'></i></a>&nbsp;";};
			if ($instagramUrl) {echo "<a href='$instagramUrl' target='_blank'><i class='fab fa-instagram'></i></a>&nbsp;&nbsp;";};
			if ($linkedinUrl) {echo "<a href='$linkedinUrl' target='_blank'><i class='fab fa-linkedin'></i></a>&nbsp;&nbsp;";};
			if ($googleUrl) {echo "<a href='$googleUrl' target='_blank'><i class='fab fa-google'></i></a>&nbsp;&nbsp;";};
			if ($yelpUrl) {echo "<a href='$yelpUrl' target='_blank'><i class='fab fa-yelp'></i></a>&nbsp;&nbsp;";};
			if ($pinterestUrl) {echo "<a href='$pinterestUrl' target='_blank'><i class='fab fa-pinterest'></i></a>&nbsp;&nbsp;";};
			if ($patreonUrl) {echo "<a href='$patreonUrl' target='_blank'><i class='fab fa-patreon'></i></a>&nbsp;&nbsp;";};
			if ($youtubeUrl) {echo "<a href='$youtubeUrl' target='_blank'><i class='fab fa-youtube'></i></a>&nbsp;&nbsp;";};
			if ($twitchUrl) {echo "<a href='$twitchUrl' target='_blank'><i class='fab fa-twitch'></i></a>&nbsp;&nbsp;";};
			if ($githubUrl) {echo "<a href='$githubUrl' target='_blank'><i class='fab fa-github'></i></a>&nbsp;&nbsp;";};
		?>
	</div>
	<?php if ($footerNav): ?>
		<div id="footerNav" class="d-flex justify-content-center"><div class="d-flex-inline">
		<jdoc:include type="modules" name="menu" />
		</div></div>
	<?php endif; ?>
</section>

<?php if ($copyright): ?>
	<div class="lw-row-md mb-0 justify-content-center<?php if ($copyrightClass) {echo " $copyrightClass";}; ?>">
		<?php if ($copyright) {echo "<div class='pt-3 px-4 text-center'>$copyright</div>";}; ?>
	</div>
<?php endif; ?>