<?php
/***
* @package Joomla.Site
* @subpackage mod_firstmodule
* @license GNU/GPL, see LICENSE.php
* @copyright Copyright (C) 2005 - 2019, Open Source Matters, Inc. All rights reserved.
***/
// no direct access
defined('_JEXEC') or die;
// include the syndicate functions only once

// From: https://www.joomlashack.com/blog/joomla/part-1-make-a-simple-joomla-module/

// require_once dirname(__FILE__).'/helper.php';
?>

<?php
	$cssStyles = $params->get('cssStyles');
	$height = $params->get('height');
	$bgVid = $params->get('bgVid');
	$bgImg = $params->get('bgImg');
	$bgGrad = $params->get('bgGrad');
	$bgLW = $params->get('bgLW');
	$bgShft = $params->get('bgShft');
	$logoImg = $params->get('logoImg');
	$logoSvg = $params->get('logoSvg');
	$logoWidth = $params->get('logoWidth');
	$logoShadow = $params->get('logoShadow');
	$body = $params->get('body');
	$ctaUrl = $params->get('ctaUrl');
	$ctaLabel = $params->get('ctaLabel');
	$ctaClass = $params->get('ctaClass');
	$panel = $params->get('panel');
	$mask = $params->get('mask');
	$textClass = $params->get('textClass');
	$scrollArrow = $params->get('scrollArrow');
	$scrollArrowClass = $params->get('scrollArrowClass');
	$layout = $params->get('layout');
	$reverse = $params->get('reverse');
	$aName = $params->get('aName');
	$logoClass = $params->get('logoClass');
	$navBuffer = $params->get('navBuffer');
	$jarallax = $params->get('jarallax');
?>

<?php if ($bgShft) {echo "
<style>
@media only screen and (orientation: portrait) {
	img.jarallax-img {
		object-position: $bgShft% 50% !important;
	}
}
</style>"
;}; ?>

<section>
	<?php if ($aName) {echo "<div><a name='$aName'></a></div>";}; ?>
	<div class="<?php if ($jarallax) {echo "jarallax";}; if ($mask) {echo " $mask";}; if ($bgGrad) {echo " $bgGrad";}; if ($cssStyles) {echo " $cssStyles";}; ?>" style="position:relative;<?php if ($height) {echo "min-height:$height;";}; ?>" <?php if ($jarallax) {echo "data-jarallax='' data-speed='0.2'";}; ?> <?php if ($bgVid) {echo "data-jarallax-video='$bgVid'";}; ?> >
		<?php if ($bgImg) {echo "<img class='jarallax-img' src='/$bgImg' alt='' />";}; ?>
		<?php if ($bgLW) {echo "<div class='lw-fill $bgLW'></div>";}; ?>
		<?php if ($navBuffer) {echo "<div class='d-none d-md-block' style='height:".$navBuffer."px;'></div>";}; ?>
		<div class="lw-hero flex-fill">
		<?php if ($panel) {echo "<div class='$panel'>";}; ?>
			<?php
			  if ($layout) {echo "<div class='row"; if ($reverse) {echo " flex-row-reverse";}};
			  if ($layout) {echo "'><div class='col-lg-7 my-auto'>";};

			  if ($logoSvg)
					{echo "<style>.lw-hero-svg svg {max-width:$logoWidth;}</style><div class='lw-hero-svg $logoClass'";
					if ($logoShadow) {echo " style='filter:drop-shadow(2px 3px 2px rgb(0 0 0 / 0.42));'";};
					echo ">$logoSvg</div>";
				}
				elseif ($logoImg)
					{echo "<img class='img-fluid mb-4 $logoClass' src='/$logoImg' style='width:$logoWidth;";
					  if ($logoShadow) {echo " filter:drop-shadow(2px 3px 2px rgb(0 0 0 / 0.42));";};
					echo "' alt='Logo' />";
				};

			  if ($layout) {echo "</div><div class='col-lg-5 my-auto'>";};
			  if ($body) {echo "<div class='$textClass'>$body</div>";};
			  if ($ctaUrl) {echo "<p><a href='$ctaUrl' class='$ctaClass'>$ctaLabel</a></p>";};
			  if ($layout) {echo "</div></div>";};
			?>
		<?php if ($panel) {echo "</div>";}; ?>
		</div>
		<?php if ($scrollArrow) {echo "
		<div class='text-center w-100'>
        	<i class='$scrollArrowClass'>&nbsp;</i>
        </div>
		";}; ?>
	</div>
</section>